
ATA Casting Technology Co., Ltd. - Parent project #929

[PJ220033] Traceability system relocation wiring

11 Apr 2025 11:56 - Karnthida Wannasiwaporn

Status: Closed Start date: 11 Apr 2025

Priority: Normal Due date:  

Assignee: Karnthida Wannasiwaporn Spent time: 0.00 hour

Description

History

#1 - 11 Apr 2025 11:57 - Karnthida Wannasiwaporn

- Status changed from In Progress to New

#2 - 04 Nov 2025 16:46 - Siriwilai Chaiwattanaphon

- Status changed from New to Closed
